Skip to content

GET /api/v3/drive-templates/constants/drive-template-element-types

Summary

GET /drive-templates/constants/drive-template-element-types

Description

Returns a list of available template element types

Tags: templates

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Description: Sample Response

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean): Indicates if the request was successful
  • drive_template_element_types (array): An array of available drive template element types
  • Array items: object Type: object

    Properties:

    • type (string)
    • description (string)
    • element_class (string)
Example Response
{
    "success": true,
    "drive_template_element_types": [
        {
            "type": "text",
            "description": "Text",
            "element_class": "lc_dt_text"
        },
        {
            "type": "img",
            "description": "Image",
            "element_class": "lc_dt_image"
        },
        {
            "type": "object",
            "description": "Object",
            "element_class": "lc_dt_object"
        },
        {
            "type": "svg",
            "description": "SVG",
            "element_class": "lc_dt_object_svg"
        },
        {
            "type": "video",
            "description": "Video",
            "element_class": "lc_dt_video"
        }
    ]
}

Example Implementations

Bash (cURL)

curl --request GET \
  --url "https://api.lucit.app/api/v3/drive-templates/constants/drive-template-element-types" \
  --header "Authorization: Bearer {AuthToken}" \
  --header "Content-Type: application/json" \
  --header "Accept: application/json" \
  --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = "https://api.lucit.app/api/v3/drive-templates/constants/drive-template-element-types";

const headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
};

fetch(url, {
  method: "GET",
  headers: headers
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));

PHP (Guzzle)

<?php

require_once 'vendor/autoload.php';

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.lucit.app/api/v3/drive-templates/constants/drive-template-element-types', [
  'headers' => [
    'Authorization' => 'Bearer {AuthToken}',
    'Content-Type' => 'application/json',
    'Accept' => 'application/json',
    'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
  ]
]);

$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);

Python (Requests)

import requests
import json

url = "https://api.lucit.app/api/v3/drive-templates/constants/drive-template-element-types"

headers = {
  "Authorization": "Bearer {AuthToken}",
  "Content-Type": "application/json",
  "Accept": "application/json",
  "AppIdV3": "LCUID-LAP-********-****-****-****-************"
}

response = requests.get(url, headers=headers)
print(response.json())

Example Responses

200 Response

{
    "success": true,
    "drive_template_element_types": [
        {
            "type": "text",
            "description": "Text",
            "element_class": "lc_dt_text"
        },
        {
            "type": "img",
            "description": "Image",
            "element_class": "lc_dt_image"
        },
        {
            "type": "object",
            "description": "Object",
            "element_class": "lc_dt_object"
        },
        {
            "type": "svg",
            "description": "SVG",
            "element_class": "lc_dt_object_svg"
        },
        {
            "type": "video",
            "description": "Video",
            "element_class": "lc_dt_video"
        }
    ]
}

← Back to drive-templates index | Back to main index